import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M400-116 36-480l364-364 30 30L95-480l335 334-30 30Z",
    "200": "M400-107.69 27.69-480 400-852.31l36 36.23L99.15-480 436-143.92l-36 36.23Z",
    "300": "M400-93.85 13.85-480 400-866.15l46 46.61L106.08-480 446-140.46l-46 46.61Z",
    "400": "M400-80 0-480l400-400 56 57-343 343 343 343-56 57Z",
    "500": "M405.74-74.26 0-480l405.74-405.74L467.48-823l-343 343 343 343-61.74 62.74Z",
    "600": "M413.57-66.43 0-480l413.57-413.57L483.13-823l-343 343 343 343-69.56 70.57Z",
    "700": "M424-56 0-480l424-424 80 81-343 343 343 343-80 81Z"
  }
};
const ArrowBackIosW100 = createMaterialIcon("arrow_back_ios", pathData.regular[100]);
const ArrowBackIosW200 = createMaterialIcon("arrow_back_ios", pathData.regular[200]);
const ArrowBackIosW300 = createMaterialIcon("arrow_back_ios", pathData.regular[300]);
const ArrowBackIosW400 = createMaterialIcon("arrow_back_ios", pathData.regular[400]);
const ArrowBackIosW500 = createMaterialIcon("arrow_back_ios", pathData.regular[500]);
const ArrowBackIosW600 = createMaterialIcon("arrow_back_ios", pathData.regular[600]);
const ArrowBackIosW700 = createMaterialIcon("arrow_back_ios", pathData.regular[700]);
const ArrowBackIosFillW100 = createMaterialIcon("arrow_back_ios", pathData.regular[100]);
const ArrowBackIosFillW200 = createMaterialIcon("arrow_back_ios", pathData.regular[200]);
const ArrowBackIosFillW300 = createMaterialIcon("arrow_back_ios", pathData.regular[300]);
const ArrowBackIosFillW400 = createMaterialIcon("arrow_back_ios", pathData.regular[400]);
const ArrowBackIosFillW500 = createMaterialIcon("arrow_back_ios", pathData.regular[500]);
const ArrowBackIosFillW600 = createMaterialIcon("arrow_back_ios", pathData.regular[600]);
const ArrowBackIosFillW700 = createMaterialIcon("arrow_back_ios", pathData.regular[700]);

export { ArrowBackIosFillW100, ArrowBackIosFillW200, ArrowBackIosFillW300, ArrowBackIosFillW400, ArrowBackIosFillW500, ArrowBackIosFillW600, ArrowBackIosFillW700, ArrowBackIosW100, ArrowBackIosW200, ArrowBackIosW300, ArrowBackIosW400, ArrowBackIosW500, ArrowBackIosW600, ArrowBackIosW700 };
